## luma.oled 3.8.1+ds1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/luma.oled.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/luma.oled.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/luma.oled"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/luma.oled"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
luma.oled (3.8.1+ds1-3) unstable; urgency=medium

  * [cdaefd5] Fix ModuleNotFoundError. (Closes: #1009471)
  * [e0bb31a] Set upstream metadata fields: Repository-Browse.
  * [72e2f29] Update patch
  * [683083e] Set upstream metadata fields: Repository.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 May 2022 07:03:15 +0200

luma.oled (3.8.1+ds1-2) unstable; urgency=medium

  * [039305f] Set Standards-Version: 4.6.0
  * [d09896d] Set upstream metadata fields: Bug-Database,
    Bug-Submit.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2022 22:11:53 +0100

luma.oled (3.8.1+ds1-1) unstable; urgency=medium

  * Initial upload. (Closes: #1002791)

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Dec 2021 22:09:22 +0100

=== debian/control ===
Source: luma.oled
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-luma.core,
               python3-pil,
               python3-pytest,
               python3-setuptools,
               sphinx
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/electronics-team/luma.oled
Vcs-Git: https://salsa.debian.org/electronics-team/luma.oled.git
Homepage: https://github.com/rm-hull/luma.oled

Package: python3-luma.oled
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-luma.core
Description: library interfacing OLED matrix displays
 Library interfacing OLED matrix displays with the
 SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010
 driver using I2C/SPI/Parallel on the Raspberry Pi and other linux-based
 single-board computers - it provides a Pillow-compatible drawing canvas,
 and other functionality to support:
    scrolling/panning capability,
    terminal-style printing,
    state management,
    color/greyscale (where supported),
    dithering to monochrome

Package: luma.oled-doc
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: doc for library interfacing OLED matrix displays
 Library interfacing OLED matrix displays with the
 SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010
 driver using I2C/SPI/Parallel on the Raspberry Pi and other linux-based
 single-board computers - it provides a Pillow-compatible drawing canvas,
 and other functionality to support:
    scrolling/panning capability,
    terminal-style printing,
    state management,
    color/greyscale (where supported),
    dithering to monochrome

## luma.oled 3.10.0

=== debian/changelog ===
luma.oled (3.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [74931e2] Apply multi-arch hints. + luma.oled-doc: Add Multi-Arch: foreign.

  [ Anton Gladky ]
  * [8d63977] New upstream version 3.10.0.
  * [4307ee0] Update standards version to 4.6.2, no changes needed.
  * [ed5f61d] Set minimal luma-core version to 2.4.0.

 -- Anton Gladky <gladk@debian.org>  Sat, 21 Jan 2023 10:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
-               python3-luma.core,
+               python3-luma.core (>= 2.4.0),
                python3-pil,
                python3-pytest,
                python3-setuptools,
-               sphinx
-Standards-Version: 4.6.0
+               python3-sphinx
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.oled
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.oled.git
 Homepage: https://github.com/rm-hull/luma.oled
@@ -23,7 +23,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-luma.core
+         python3-luma.core (>= 2.4.0)
 Description: library interfacing OLED matrix displays
  Library interfacing OLED matrix displays with the
  SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010
@@ -41,6 +41,7 @@
 Section: python
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: doc for library interfacing OLED matrix displays
  Library interfacing OLED matrix displays with the
  SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = luma.oled

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf *luma.oled.egg-info

override_dh_auto_test:

execute_before_dh_auto_install-indep:
	cd $(CURDIR)/doc && PYTHONPATH=$(CURDIR) make html
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/coveralls.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img.shields.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/raw.githubusercontent//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/readthedocs.org//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci.org//g'

## luma.oled 3.14.0

=== debian/changelog ===
luma.oled (3.14.0-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Aug 2025 15:06:19 +0200

luma.oled (3.14.0-1~exp3) experimental; urgency=medium

  * [a22a794] chore: Remove autopkgtest-pkg-python

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:41:52 +0200

luma.oled (3.14.0-1~exp2) experimental; urgency=medium

  * [d431148] Add autopkgtest

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 11:06:56 +0200

luma.oled (3.14.0-1~exp1) experimental; urgency=medium

  * [9ac7243] New upstream version 3.14.0
  * [119bdf3] Change section of luma.oled-doc to doc
  * [956497c] Update dependencies and standards version
  * [3172c5c] Remove build artifacts from doc directory. (Closes: #1046801)
  * [f171c02] Enable tests
  * [d4ea449] Ignore quilt dir
  * [6aee991] Remove override_dh_auto_test
  * [1b779d0] Add python3-sphinx-rtd-theme to build dependencies
  * [d679765] Do not let reprotest fail

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Jul 2025 10:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
-               python3-luma.core (>= 2.4.0),
+               python3-luma.core,
                python3-pil,
                python3-pytest,
+               python3-sphinx-rtd-theme,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/luma.oled
 Vcs-Git: https://salsa.debian.org/electronics-team/luma.oled.git
 Homepage: https://github.com/rm-hull/luma.oled
@@ -23,7 +23,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-luma.core (>= 2.4.0)
+         python3-luma.core
 Description: library interfacing OLED matrix displays
  Library interfacing OLED matrix displays with the
  SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010
@@ -38,10 +38,10 @@
 
 Package: luma.oled-doc
 Architecture: all
-Section: python
+Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Multi-Arch: foreign
 Description: doc for library interfacing OLED matrix displays
  Library interfacing OLED matrix displays with the
  SSD1306, SSD1309, SSD1322, SSD1325, SSD1327, SSD1331, SSD1351, SH1106 or WS0010

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 
 execute_after_dh_auto_clean:
 	rm -rf *luma.oled.egg-info
-
-override_dh_auto_test:
+	rm -rf $(CURDIR)/doc/_build
 
 execute_before_dh_auto_install-indep:
 	cd $(CURDIR)/doc && PYTHONPATH=$(CURDIR) make html

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/rm-hull/luma.oled/tags .*/v?(\d\S+)\.tar\.gz
